<!DOCTYPE html>
<html>
	<head>
	<title>HTML ATTRIBUTES & LINKS</title>
	</head>
	<body>
		<h2 id="top"> HTML Attributes</h2>
			<!-- location of an id attribute as "top" -->
			<!-- syntax of attributes: <element attributes="value">contents</element> -->
			<!-- HTML have default browser behavior when shown in browser.
			Attributes allows us to change these behaviors
			paragraph tags by default are aligned to the left -->
		<p align="center">
		 <em>Modifiers of element behaviors.</em> 
		</p>

		<h2>HTML images</h2>
		<p align="right">
			<em>An image can be shown using using &lt;img&gt; tag along with its <strong>src</strong></em>
		</p>
			<!-- &lt; and &lt; are called html entities. theyre used to include special characters into text. some special characters used in HTML are read as part of the code. The angle braces (<>) isa common example of this. to avoid errors. -->
		
			<!-- target attributes opens another tab providing the value "_blank" -->
		<a href="https://place-puppy.com/" target="_blank">
			<img src="https://place-puppy.com/300x300">
		</a> 
		<p>Take alook at w3schools attribute reference <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank">here</a>
			
		</p>
		<p>
			Check the target attribute of img <a href="https://www.w3schools.com/tags/att_a_target.asp" target="_blank"> here</a>
		</p>

		<p>
			<code>
				&lt;img src="https://place-puppy.com/300x300"&gt;
			</code>
		</p>
			<!-- code tag is used to display the source of the image -->
			<!-- img tag - used to include images and it creates inline tag -->
			<!-- src attribute - accepts a url from an online resource. the example provided is an absolute link  -->

		<img src="./images/E36.jpg" height="300" width="300">
		<p>
		<code>
			&lt;img src="./images/E36.jpg"&gt;
		</code>
		</p>
		<p>Valid image extensions are the following:</p>
		<ol type="i" reversed>
			<li>png</li>
			<li>jpg</li>
			<li>jpeg</li>
			<li>svg</li>
			<li>gif</li>
			<li>webp</li>
		</ol>
			<!-- (.) symbol in the relative link refers to the current directory. -->
			<!-- the forward slash symbol refers to accessing a different directory/folder. -->
		<h2>HTML Links</h2>
		<h4>Absolute Links</h4>


		<a href="https://zuitt.co">Go to Zuitt Bootcamp Website</a>
			<!-- creates a hyperlink that redirect to another page
			<a> tag creates an inline elemets
			href attribute means hypertext reference which is used to create a link to a different page -->

		<h4>Relative Link</h4>
		<p>Go to <a href="./link.html">link.html</a></p>

		<p>Go to <a href="./images/images.html">images.html</a></p>

			<!-- Redirects html element to top id attirbute
			#  -->
		<p>Go to <a href="#top">top</a></p>




	</body>
</html>
